Page MenuHomePhabricator

GatewayFormChooser should geolocate when country is not in URL
Closed, ResolvedPublic

Description

Half of the reason the DonationInterface form settings exist is to steer donors to the right processor for a given country. The form chooser currently depends on banners or donatewiki doing the geolocation and sticking the country on the URL. When an email links directly to the form chooser and doesn't include a country, the form chooser is currently sending USD cc donors to Adyen, even though that form should only be preferred for donors in IL.

Event Timeline

Ejegg created this task.Dec 7 2018, 9:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2018, 9:49 PM

@CCogdill_WMF This is why the links to the form chooser weren't working as expected and sent some USD donors to Adyen.

Ah cool. We prefer to not force country in emails, so this fix sounds great.

Pcoombe added a subscriber: Pcoombe.Dec 9 2018, 2:58 PM
Ejegg assigned this task to Cstone.Dec 18 2018, 12:10 AM
Ejegg triaged this task as Normal priority.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint XML ate my homework board.
Cstone closed this task as Resolved.Jan 22 2019, 11:12 PM

Tested with no country, USD goes to Ingenico